Bug 185276 - Security: Portmap interface control and sysconfig file
Security: Portmap interface control and sysconfig file
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: portmap (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Steve Dickson
Jay Turner
https://launchpad.net/distros/ubuntu/...
: FutureFeature
Depends On:
Blocks: 176344
  Show dependency treegraph
 
Reported: 2006-03-13 01:49 EST by Kevin Verma
Modified: 2015-01-07 19:12 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-05 15:51:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kevin Verma 2006-03-13 01:49:00 EST
Description of problem:
Suggesting an enhancement to existing portmap

Version-Release number of selected component (if applicable):
all

How reproducible:
Portmap either listens to all interfaces or only on loopback,

Expected results:
This should also let have a control feature with option -i to optionally bind
portmap to particular network interface. Also an /etc/sysconfig/portmap is
wished for. 

Additional info:
https://launchpad.net/distros/ubuntu/+source/portmap/+bug/7265
Comment 1 Steve Dickson 2006-03-18 21:10:58 EST
Just curious, what security risk has been exploited by exposing ports
to external servers... 
Comment 2 Kevin Verma 2006-04-08 06:08:10 EDT
Sorry for late response, but none security risks have been exploited so far. 
Comment 7 RHEL Product and Program Management 2006-09-05 15:42:24 EDT
The component this request has been filed against is not planned for inclusion
in the next update. The decision is based on weighting the priority and number
of requests for a component as well as the impact on the Red Hat Enterprise
Linux user-base: other components are considered having higher priority and the
number of changes we intend to include in update cycles is limited.
Comment 8 RHEL Product and Program Management 2006-09-05 15:51:08 EDT
Product Management has reviewed and declined this request.  You may appeal this
decision by reopening this request. 

Note You need to log in before you can comment on or make changes to this bug.